Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.openjpa.ant
Class ApplicationIdToolTask

    java.lang.Object
      org.apache.tools.ant.ProjectComponent
          org.apache.tools.ant.Task
              org.apache.tools.ant.taskdefs.MatchingTask
                  org.apache.openjpa.lib.ant.AbstractTask
                      org.apache.openjpa.ant.ApplicationIdToolTask

All Implemented Interfaces:
  Cloneable, org.apache.tools.ant.types.selectors.SelectorContainer

    public class ApplicationIdToolTask

extends AbstractTask

Executes the application id tool on the specified files. This task can take the following arguments:

- `directory`
- `ignoreErrors`
- `name`
- `suffix`
- `token`

It can also take an embedded `codeFormat` element with attributes for the bean properties of the `CodeFormat`.

Field Summary
`protected String` | `dirName`
`protected ApplicationIdTool.Flags` | `flags`

Fields inherited from class org.apache.openjpa.lib.ant.AbstractTask
`classpath, fileSets, haltOnError, isolate, useParent`

Fields inherited from class org.apache.tools.ant.taskdefs.MatchingTask
`fileset`

Fields inherited from class org.apache.tools.ant.Task
`target, taskName, taskType, wrapper`

Fields inherited from class org.apache.tools.ant.ProjectComponent
`description, location, project`

Constructor Summary
`ApplicationIdToolTask()` Default constructor.

Method Summary
`Object` | `createCodeFormat()` Create the embedded code format element.
`protected void` | `executeOn(String[] files)` Perform the task action on the given files.
`protected ConfigurationImpl` | `newConfiguration()` Implement this method to return a configuration object for the product in use.
`void` | `setDirectory(String dirName)` Set the output directory we want the enhancer to write to.
`void` | `setIgnoreErrors(boolean ignoreErrors)` Set whether to ignore errors.
`void` | `setName(String name)` Set the name of the identity class; with this option you must supply exactly one class to run on.
`void` | `setSuffix(String suffix)` Set a suffix to append to persistent classes to form their identity class name.
`void` | `setToken(String token)` Set the token to separate stringified primary key field values.

Methods inherited from class org.apache.openjpa.lib.ant.AbstractTask
`addFileset, assertFiles, createClasspath, createConfig, execute, getClassLoader, getConfiguration, setClasspath, setHaltOnError, setIsolate, setUseParentClassloader`

Methods inherited from class org.apache.tools.ant.taskdefs.MatchingTask
`add, addAnd, addContains, addContainsRegexp, addCustom, addDate, addDepend, addDepth, addDifferent, addFilename, addMajority, addModified, addNone, addNot, addOr, addPresent, addSelector, addSize, addType, appendSelector, createExclude, createExcludesFile, createInclude, createIncludesFile, createPatternSet, getDirectoryScanner, getImplicitFileSet, getSelectors, hasSelectors, selectorCount, selectorElements, setCaseSensitive, setDefaultexcludes, setExcludes, setExcludesfile, setFollowSymlinks, setIncludes, setIncludesfile, setProject, XsetIgnore, XsetItems`

Methods inherited from class org.apache.tools.ant.Task
`bindToOwner, getOwningTarget, getRuntimeConfigurableWrapper, getTaskName, getTaskType, getWrapper, handleErrorFlush, handleErrorOutput, handleFlush, handleInput, handleOutput, init, isInvalid, log, log, log, log, maybeConfigure, perform, reconfigure, setOwningTarget, setRuntimeConfigurableWrapper, setTaskName, setTaskType`

Methods inherited from class org.apache.tools.ant.ProjectComponent
`clone, getDescription, getLocation, getProject, setDescription, setLocation`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### flags

    protected ApplicationIdTool.Flags flags

### dirName

    protected String dirName

Constructor Detail

### ApplicationIdToolTask

    public ApplicationIdToolTask()

  Default constructor.

Method Detail

### setDirectory

    public void setDirectory(String dirName)

  Set the output directory we want the enhancer to write to.

### setIgnoreErrors

    public void setIgnoreErrors(boolean ignoreErrors)

  Set whether to ignore errors.

### setName

    public void setName(String name)

  Set the name of the identity class; with this option you must supply exactly one class to run on.

### setSuffix

    public void setSuffix(String suffix)

  Set a suffix to append to persistent classes to form their identity class name.

### setToken

    public void setToken(String token)

  Set the token to separate stringified primary key field values.

### createCodeFormat

    public Object createCodeFormat()

  Create the embedded code format element.

### newConfiguration

    protected ConfigurationImpl newConfiguration()

  Description copied from class: `AbstractTask`
  Implement this method to return a configuration object for the product in use.

  Specified by:
    `newConfiguration` in class `AbstractTask`

### executeOn

    protected void executeOn(String[] files)
                      throws IOException,
                             ClassNotFoundException

  Description copied from class: `AbstractTask`
  Perform the task action on the given files.

  Specified by:
    `executeOn` in class `AbstractTask`
  Throws:
    `IOException`
    `ClassNotFoundException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2013 Apache Software Foundation. All Rights Reserved.